package com.starbuds.server.api.common.constant;

import com.starbuds.server.common.constant.common.IApiError;

/**
 * API 错误
 *
 * @author Lay
 * @date 2019/12/4
 */
public enum ApiError implements IApiError {
    /**
     * 登录失败
     */
    LoginFailed("LoginFailed", "登录失败"),

    SendFailed("SendFailed", "发送失败"),

    ;

    private String code;
    private String msg;

    ApiError(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    /**
     * 错误代码
     *
     * @return
     */
    @Override
    public String getCode() {
        return code;
    }

    /**
     * 错误说明
     *
     * @return
     */
    @Override
    public String getMsg() {
        return msg;
    }
}
