package com.starbuds.server.api.common.v1.facade;

import com.starbuds.server.common.pojo.api.Result;

/**
 * 数据接口
 *
 * @author Lay
 * @date 2019/12/23
 */
public interface DataFacade {
    /**
     * 获取用户头像上传配置
     *
     * @return
     */
    Result getUserAvatarUploadConfig();

    /**
     * 获取用户封面上传配置
     *
     * @return
     */
    Result getUserCoverUploadConfig();

    /**
     * 获取用户认证上传配置
     *
     * @return
     */
    Result getUserAuthUploadConfig();

    /**
     * 获取举报图上传配置
     *
     * @param userId
     * @return
     */
    Result getReportUploadConfig(Long userId);

    /**
     * 获取意见反馈图上传配置
     *
     * @return
     */
    Result getSuggestUploadConfig();

    /**
     * 获取内容图片上传配置
     *
     * @return
     */
    Result getFeedImageUploadConfig();

    /**
     * 获取内容视频上传配置
     *
     * @return
     */
    Result getFeedVideoUploadConfig();

    /**
     * 获取内容视频封面上传配置
     *
     * @return
     */
    Result getFeedVideoCoverUploadConfig();

    /**
     * 获取区域列表
     *
     * @param parentId
     * @return
     */
    Result getAreaList(int parentId);

    /**
     * 获取意见反馈类型
     *
     * @return
     */
    Result getSuggestTypeList();

    /**
     * 获取应用最新版本
     *
     * @param versionNum
     * @return
     */
    Result getAppVersionNew(long versionNum);

    /**
     * 获取最新应用信息
     *
     * @return
     */
    Result getAppLatest(int clientType, int appType);

    /**
     * 获取当前时间
     *
     * @return
     */
    Result getCurrentTime();

    /**
     * 获取国家区号
     *
     * @return
     */
    Result getCountryPhoneCode();

    /**
     * 获取房间封面上传配置
     *
     * @return
     */
    Result getRtcRoomCoverUploadConfig();

    /**
     * 获取音乐上传配置
     *
     * @return
     */
    Result getMusicUploadConfig();

    /**
     * 获取技能形象照上传配置
     *
     * @return
     */
    Result getSkillImagePhotoUploadConfig();

    /**
     * 获取技能录音上传配置
     *
     * @return
     */
    Result getSkillVoiceUploadConfig();
}
