package com.starbuds.server.api.common.v1.facade;

import com.starbuds.server.common.pojo.api.Result;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/28 16:24
 * @Description 搜索api
 */
public interface SearchFacade {

    /**
     * 搜索内容
     *
     * @param content  搜索内容
     * @param pageNum  当前页码
     * @param pageSize 页面大小
     * @return
     */
    Result searchContent(String content, int pageNum, int pageSize);

    /**
     * 搜索语聊房间
     *
     * @param content   搜索内容
     * @param pageIndex 当前页码
     * @param pageSize  页面大小
     * @return
     */
    Result searchRtcRoom(String content, int pageIndex, int pageSize);

    /**
     * 搜索音乐
     *
     * @param content   搜索内容
     * @param pageIndex 当前页码
     * @param pageSize  页面大小
     * @return
     */
    Result searchMusic(String content, int pageIndex, int pageSize);
}
